Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ClassifiedByBranchType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ClassifiedByBranchTypeImpl

    public interface ClassifiedByBranchType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Classified By Branch Type'.

The following features are supported:

- `Classification Filter`
- `Classification Scheme Query`
- `Classification Node Query`

See Also:
  `QueryPackage.getClassifiedByBranchType()`

Method Summary
`FilterType` | `getClassificationFilter()` Returns the value of the 'Classification Filter' containment reference.
`ClassificationNodeQueryType` | `getClassificationNodeQuery()` Returns the value of the 'Classification Node Query' containment reference.
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()` Returns the value of the 'Classification Scheme Query' containment reference.
`void` | `setClassificationFilter(FilterType value)` Sets the value of the '`Classification Filter`' containment reference.
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Classification Node Query`' containment reference.
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType value)` Sets the value of the '`Classification Scheme Query`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassificationFilter

    FilterType getClassificationFilter()

  Returns the value of the 'Classification Filter' containment reference.

  If the meaning of the 'Classification Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Filter' containment reference.
  See Also:
    `setClassificationFilter(FilterType)`, `QueryPackage.getClassifiedByBranchType_ClassificationFilter()`

### setClassificationFilter

    void setClassificationFilter(FilterType value)

  Sets the value of the '`Classification Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Filter' containment reference.
  See Also:
    `getClassificationFilter()`

### getClassificationSchemeQuery

    ClassificationSchemeQueryType getClassificationSchemeQuery()

  Returns the value of the 'Classification Scheme Query' containment reference.

  If the meaning of the 'Classification Scheme Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getClassifiedByBranchType_ClassificationSchemeQuery()`

### setClassificationSchemeQuery

    void setClassificationSchemeQuery(ClassificationSchemeQueryType value)

  Sets the value of the '`Classification Scheme Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `getClassificationSchemeQuery()`

### getClassificationNodeQuery

    ClassificationNodeQueryType getClassificationNodeQuery()

  Returns the value of the 'Classification Node Query' containment reference.

  If the meaning of the 'Classification Node Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getClassifiedByBranchType_ClassificationNodeQuery()`

### setClassificationNodeQuery

    void setClassificationNodeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Classification Node Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `getClassificationNodeQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD